Subject: Re: [PATCH v25 2/2] status: show comparison with push remote tracking branch

From: Jeff King <[email-masked]>
Date: Tue, 13 Jan 2026 12:03:21 -0500

On Tue, Jan 13, 2026 at 12:11:56PM +0000, Harald Nordgren via GitGitGadget wrote:

> Example output when tracking origin/main but push destination is
> origin/feature:
>     On branch feature
>     Your branch and 'origin/main' have diverged,
>     and have 3 and 1 different commits each, respectively.
>       (use "git pull" if you want to integrate the remote branch with yours)
> 
>     Your branch is ahead of 'origin/feature' by 1 commit.
>       (use "git push" to publish your local commits)

Can we make this configurable?

I build my daily driver off of the 'jch' branch, which now includes this
series, and I've found that for my triangular workflow the ahead/behind
for the push branch is just useless noise. I treat my push destination
like a mirror, where I always just push up everything at the end of the
day.

I know that the output can be disabled with status.aheadbehind, but:

  1. I noticed this first via "git checkout", which does not have such a
     flag (AFAIK).

  2. That flag would also disable the upstream branch ahead/behind
     output, which I do find useful.

-Peff